Package org.jfree.report.data

# Class PrecomputedExpressionSlot

java.lang.Object
org.jfree.report.data.PrecomputedExpressionSlot

All Implemented Interfaces:
  `Cloneable`, `ExpressionSlot`

public class PrecomputedExpressionSlot extends Object implements ExpressionSlot
Creation-Date: 25.11.2006, 15:18:58

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`PrecomputedExpressionSlot(String name, Object value, boolean preserve)`

## Method Summary

Modifier and Type
Method
Description
`void`
`advance()`
`Object`
`clone()`
Returns a clone of the object.
`String`
`getName()`
`Object`
`getValue()`
`boolean`
`isDeepTraversing()`
`boolean`
`isPreserve()`
`void`
`updateDataRow(DataRow dataRow)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrecomputedExpressionSlot

public PrecomputedExpressionSlot(String name, Object value, boolean preserve)

## Method Details

### getValue

public Object getValue() throws DataSourceException

Specified by:
  `getValue` in interface `ExpressionSlot`
Throws:
  `DataSourceException`

### advance

public void advance() throws DataSourceException

Specified by:
  `advance` in interface `ExpressionSlot`
Throws:
  `DataSourceException`

### updateDataRow

public void updateDataRow(DataRow dataRow)

Specified by:
  `updateDataRow` in interface `ExpressionSlot`

### getName

public String getName()

Specified by:
  `getName` in interface `ExpressionSlot`

### isDeepTraversing

public boolean isDeepTraversing()

Specified by:
  `isDeepTraversing` in interface `ExpressionSlot`

### clone

public Object clone() throws CloneNotSupportedException
Returns a clone of the object.

Specified by:
  `clone` in interface `ExpressionSlot`
Overrides:
  `clone` in class `Object`
Returns:
  A clone.
Throws:
  `CloneNotSupportedException` - if cloning is not supported for some reason.

### isPreserve

public boolean isPreserve()

Specified by:
  `isPreserve` in interface `ExpressionSlot`